import { Observable } from 'rxjs';
import { InjectionToken, NgZone } from '@angular/core';
import { IConfig } from './interfaces/IConfig';
export declare const NGX_LINKEDIN_CONFIG: InjectionToken<IConfig>;
export declare class NgxLinkedinService {
    private ngZone;
    private _scriptLoaded$;
    private _fields;
    private _scope;
    constructor(ngZone: NgZone, config: IConfig);
    signIn<T>(): Observable<{}>;
    getProfile<T>(fields?: string[]): any;
    isAuthorized(): Observable<boolean>;
    onAuth(): Observable<void>;
    getUserInfo<T>(): any;
    private _onScriptLoad;
    private _onLinkedInLoad;
    private _authorize;
}
